Private Link Resources - List Supported
特定のサービスでサポートされているすべてのプライベート リンク リソースの種類の一覧を取得します。
GET https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Search/searchServices/{searchServiceName}/privateLinkResources?api-version=2025-05-01
URI パラメーター
| 名前 | / | 必須 | 型 | 説明 |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
リソース グループの名前。 名前は大文字と小文字が区別されます。 |
|
search
|
path | True |
string pattern: ^(?=.{2,60}$)[a-z0-9][a-z0-9]+(-[a-z0-9]+)*$ |
指定したリソース グループに関連付けられている Azure AI Search サービスの名前。 |
|
subscription
|
path | True |
string (uuid) |
ターゲット サブスクリプションの ID。 値は UUID である必要があります。 |
|
api-version
|
query | True |
string minLength: 1 |
この操作に使用する API バージョン。 |
要求ヘッダー
| 名前 | 必須 | 型 | 説明 |
|---|---|---|---|
| x-ms-client-request-id |
string (uuid) |
この要求を識別するクライアントによって生成される GUID 値。 指定した場合、これは要求を追跡する方法として応答情報に含まれます。 |
応答
| 名前 | 型 | 説明 |
|---|---|---|
| 200 OK |
Azure 操作は正常に完了しました。 |
|
| Other Status Codes |
予期しないエラー応答。 |
セキュリティ
azure_auth
Azure Active Directory OAuth2 フロー。
型:
oauth2
フロー:
implicit
Authorization URL (承認 URL):
https://login.microsoftonline.com/common/oauth2/authorize
スコープ
| 名前 | 説明 |
|---|---|
| user_impersonation | ユーザー アカウントを偽装する |
例
ListSupportedPrivateLinkResources
要求のサンプル
応答のサンプル
{
"value": [
{
"name": "searchService",
"type": "Microsoft.Search/searchServices/privateLinkResources",
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/rg1/providers/Microsoft.Search/searchServices/mysearchservice/privateLinkResources/searchService",
"properties": {
"groupId": "searchService",
"requiredMembers": [
"searchService"
],
"requiredZoneNames": [
"privatelink.search.windows.net"
],
"shareablePrivateLinkResourceTypes": [
{
"name": "blob",
"properties": {
"type": "Microsoft.Storage/storageAccounts",
"description": "Azure AI Search indexers can connect to blobs in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
"groupId": "blob"
}
},
{
"name": "table",
"properties": {
"type": "Microsoft.Storage/storageAccounts",
"description": "Azure AI Search indexers can connect to tables in Azure Storage for reading data from an indexer data source, for writing intermediate results of indexer execution or for storing any knowledge store projections.",
"groupId": "table"
}
},
{
"name": "Sql",
"properties": {
"type": "Microsoft.DocumentDB/databaseAccounts",
"description": "Azure AI Search indexers can connect to Azure Cosmos DB API for NoSQL for reading data from an indexer data source.",
"groupId": "Sql"
}
},
{
"name": "plr",
"properties": {
"type": "Microsoft.Sql/servers",
"description": "Azure AI Search indexers can connect to Azure SQL database on a server for reading data from an indexer data source.",
"groupId": "sqlServer"
}
},
{
"name": "vault",
"properties": {
"type": "Microsoft.KeyVault/vaults",
"description": "Azure AI Search can access keys in Azure Key Vault to encrypt sensitive data in a search index and synonym map data.",
"groupId": "vault"
}
},
{
"name": "plr",
"properties": {
"type": "Microsoft.DBforMySQL/servers",
"description": "Azure AI Search indexers can connect to MySQL databases for reading data from an indexer data source.",
"groupId": "mysqlServer"
}
},
{
"name": "site",
"properties": {
"type": "Microsoft.Web/sites",
"description": "For custom skills that connect to an app service, you can specify sites as the group ID.",
"groupId": "sites"
}
}
]
}
}
]
}
定義
| 名前 | 説明 |
|---|---|
|
Cloud |
API エラーに関する情報が含まれています。 |
|
Cloud |
エラー コードとメッセージを含む特定の API エラーについて説明します。 |
|
created |
リソースを作成した ID の種類。 |
|
Private |
Azure AI Search サービスでサポートされているプライベート リンク リソースについて説明します。 |
|
Private |
Azure AI Search サービスでサポートされているプライベート リンク リソースのプロパティについて説明します。 特定の API バージョンの場合、これは共有プライベート リンク リソースの作成時に "サポートされている" groupIds を表します。 |
|
Private |
サポートされている Private Link リソースの一覧を含む応答。 |
|
Shareable |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類のプロパティについて説明します。 |
|
Shareable |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類について説明します。 |
|
system |
リソースの作成と最後の変更に関連するメタデータ。 |
CloudError
API エラーに関する情報が含まれています。
| 名前 | 型 | 説明 |
|---|---|---|
| error |
エラー コードとメッセージを含む特定の API エラーについて説明します。 |
|
| message |
string |
問題の原因を示すエラーの簡単な説明 (詳細/デバッグ情報については、'error.message' プロパティを参照してください)。 |
CloudErrorBody
エラー コードとメッセージを含む特定の API エラーについて説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| code |
string |
HTTP 状態コードよりも正確にエラー状態を記述するエラー コード。 特定のエラー ケースをプログラムで処理するために使用できます。 |
| details |
このエラーに関連する入れ子になったエラーが含まれています。 |
|
| message |
string |
エラーの詳細を説明し、デバッグ情報を提供するメッセージ。 |
| target |
string |
特定のエラーのターゲット (たとえば、エラーのプロパティの名前)。 |
createdByType
リソースを作成した ID の種類。
| 値 | 説明 |
|---|---|
| User | |
| Application | |
| ManagedIdentity | |
| Key |
PrivateLinkResource
Azure AI Search サービスでサポートされているプライベート リンク リソースについて説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| id |
string (arm-id) |
リソースの完全修飾リソース ID。 例: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}" |
| name |
string |
リソースの名前 |
| properties |
Azure AI Search サービスでサポートされているプライベート リンク リソースのプロパティについて説明します。 |
|
| systemData |
createdBy および modifiedBy 情報を含む Azure Resource Manager メタデータ。 |
|
| type |
string |
リソースの型。 例: "Microsoft.Compute/virtualMachines" または "Microsoft.Storage/storageAccounts" |
PrivateLinkResourceProperties
Azure AI Search サービスでサポートされているプライベート リンク リソースのプロパティについて説明します。 特定の API バージョンの場合、これは共有プライベート リンク リソースの作成時に "サポートされている" groupIds を表します。
| 名前 | 型 | 説明 |
|---|---|---|
| groupId |
string |
プライベート リンク リソースのグループ ID。 |
| requiredMembers |
string[] |
プライベート リンク リソースの必須メンバーの一覧。 |
| requiredZoneNames |
string[] |
プライベート リンク リソースの必要な DNS ゾーン名の一覧。 |
| shareablePrivateLinkResourceTypes |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされているリソースの一覧。 |
PrivateLinkResourcesResult
サポートされている Private Link リソースの一覧を含む応答。
| 名前 | 型 | 説明 |
|---|---|---|
| nextLink |
string |
次のプライベートリンクリソース(もしあれば)を取得するためのURLです。 |
| value |
サポートされている Private Link リソースの一覧。 |
ShareablePrivateLinkResourceProperties
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類のプロパティについて説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| description |
string |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類の説明。 |
| groupId |
string |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされているリソースのリソース プロバイダー グループ ID。 |
| type |
string |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされているリソースのリソース プロバイダーの種類。 |
ShareablePrivateLinkResourceType
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類について説明します。
| 名前 | 型 | 説明 |
|---|---|---|
| name |
string |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされているリソースの種類の名前。 |
| properties |
Azure AI Search でサポートされているプライベート リンク サービスにオンボードされたリソースの種類のプロパティについて説明します。 |
systemData
リソースの作成と最後の変更に関連するメタデータ。
| 名前 | 型 | 説明 |
|---|---|---|
| createdAt |
string (date-time) |
リソース作成のタイムスタンプ (UTC)。 |
| createdBy |
string |
リソースを作成した ID。 |
| createdByType |
リソースを作成した ID の種類。 |
|
| lastModifiedAt |
string (date-time) |
リソースの最終変更のタイムスタンプ (UTC) |
| lastModifiedBy |
string |
リソースを最後に変更した ID。 |
| lastModifiedByType |
リソースを最後に変更した ID の種類。 |